Package twisted :: Package python :: Module context

[frames | no frames]

## Module twisted.python.context

Dynamic pseudo-scoping for Python.

Call functions with context.call({key: value}, func); func and functions that it calls will be able to use 'context.get(key)' to retrieve 'value'.

This is thread-safe.

Classes
`ContextTracker` |
`ThreadedContextTracker` |

Function Summary
| `initThreads()`
| `installContextTracker(ctr)`

Variable Summary
`dict` | `defaultContextDict` = `{<class twisted.python.log.ILogCont...`
`method-wrapper` | `setDefault` = `<method-wrapper object at 0x817ab34>`

Variable Details

### defaultContextDict

  Type:
    `dict`
  Value:

        {<class twisted.python.log.ILogContext at 0x8157aa4>: {'isError': 0,
                                                               'system': '-'}}

### setDefault

  Type:
    `method-wrapper`
  Value:

        <method-wrapper object at 0x817ab34>

Generated by Epydoc 2.0 on Sat May 15 20:08:43 2004 | http://epydoc.sf.net